<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Your Page Title</title>
    <meta name="description" content="Technidata with Transmedic">
    <meta name="author" content="miluzakaria">
    <link rel="icon" href="assets/favicon.ico" type="image/x-icon">
	<style>
		body {
			font-family: Arial, sans-serif;
			margin: 20px;
		}
		pre {
			background: #f4f4f4;
			padding: 10px;
			border: 1px solid #ddd;
			border-radius: 5px;
		}
	</style>
</head>
<body>
	<h3>Recent Request from TM</h3>
	<?php
	foreach($messages as $data) {
		$logdate = $data['LOGDATE'];
		$body = $data['BODY'];
		if (!empty($body)) {
			$msg = json_decode($body);
			if (json_last_error() === JSON_ERROR_NONE) {
				$prettyjson = json_encode($msg, JSON_PRETTY_PRINT);
				echo "<p> date : $logdate<pre>".htmlspecialchars($prettyjson)."</pre> </p>";
			} 
		}
	}
	?>
</body>
</html>